com.amazonaws.services.simpleworkflow.model

## Enum RequestCancelExternalWorkflowExecutionFailedCause

- java.lang.Object
- - java.lang.Enum<RequestCancelExternalWorkflowExecutionFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.RequestCancelExternalWorkflowExecutionFailedCause

All Implemented Interfaces:
  Serializable, Comparable<RequestCancelExternalWorkflowExecutionFailedCause>

    public enum RequestCancelExternalWorkflowExecutionFailedCause
    extends Enum<RequestCancelExternalWorkflowExecutionFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPERATION_NOT_PERMITTED`
`REQUEST_CANCEL_EXTERNAL_WORKFLOW_EXECUTION_RATE_EXCEEDED`
`UNKNOWN_EXTERNAL_WORKFLOW_EXECUTION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RequestCancelExternalWorkflowExecutionFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static RequestCancelExternalWorkflowExecutionFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RequestCancelExternalWorkflowExecutionFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN_EXTERNAL_WORKFLOW_EXECUTION

    public static final RequestCancelExternalWorkflowExecutionFailedCause UNKNOWN_EXTERNAL_WORKFLOW_EXECUTION

#### REQUEST_CANCEL_EXTERNAL_WORKFLOW_EXECUTION_RATE_EXCEEDED

    public static final RequestCancelExternalWorkflowExecutionFailedCause REQUEST_CANCEL_EXTERNAL_WORKFLOW_EXECUTION_RATE_EXCEEDED

#### OPERATION_NOT_PERMITTED

    public static final RequestCancelExternalWorkflowExecutionFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static RequestCancelExternalWorkflowExecutionFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RequestCancelExternalWorkflowExecutionFailedCause c : RequestCancelExternalWorkflowExecutionFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RequestCancelExternalWorkflowExecutionFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<RequestCancelExternalWorkflowExecutionFailedCause>`

#### fromValue

    public static RequestCancelExternalWorkflowExecutionFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  RequestCancelExternalWorkflowExecutionFailedCause corresponding to the value